package LATMOS::Accounts::Web::Controller::Groups;

use strict;
use warnings;
use base 'LATMOS::Accounts::Web::Controller';

=head1 NAME

LATMOS::Accounts::Web::Controller::Groups - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index 

=cut

sub index : Private {
    my ( $self, $c ) = @_;
    my $base = $c->model('Accounts')->db;
    my %filter = map  {
        $c->req->params->{attr}[$_] && $c->req->params->{attrval}[$_]
        ? ($c->req->params->{attr}[$_] => $c->req->params->{attrval}[$_])
        : ()
    } (0 .. $#{ $c->req->params->{attr} || []});
    $c->stash->{groupslist} = %filter
        ? [ $base->search_objects('group', %filter) ]
        : [ $base->list_objects('group') ];
}

sub default : LocalPath {
    my ( $self, $c, undef, $groupname, $subform ) = @_;

    my $base = $c->model('Accounts')->db;

    $c->stash->{groupname} = $groupname;
    $c->stash->{group} = $base->get_object('group', $groupname);
    $c->stash->{subform} = $subform || '';

    for ($subform) {
        # Exceptions...
        # /^$/ $c->stash->{template} =

        $c->stash->{form} = $c->model('AttrForms', 'group' . $c->stash->{subform}, $c->stash->{group});
        $c->stash->{form}->set_attrs;
    }
}

=head1 AUTHOR

Thauvin Olivier

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
